package ru.yandex.qe.dispenser.domain.dao.quota.request;

public class RequestPreOrderAggregationEntry {
    private final long projectId;
    private final long serviceId;
    private final long serverId;
    private final double totalServersQuantity;
    private final double totalCost;

    RequestPreOrderAggregationEntry(final long projectId, final long serviceId, final long serverId, final double totalServersQuantity, final double totalCost) {
        this.projectId = projectId;
        this.serviceId = serviceId;
        this.serverId = serverId;
        this.totalServersQuantity = totalServersQuantity;
        this.totalCost = totalCost;
    }

    public long getProjectId() {
        return projectId;
    }

    public long getServiceId() {
        return serviceId;
    }

    public long getServerId() {
        return serverId;
    }

    public double getTotalServersQuantity() {
        return totalServersQuantity;
    }

    public double getTotalCost() {
        return totalCost;
    }
}
